Articles in this section

How to change background color of row on checkbox column click in Javascript TreeGrid?

This article explains how to change the background color of a row on a checkbox column click in the JavaScript TreeGrid component.

The checkboxChange event triggers when the checkbox state changes in the checkbox column. You can use this event to change the background color and text color of the row based on e-check, e-uncheck, or e-stop checkbox states.

To change background color of the row, follow the given steps,

  • Declare the function checkboxChange and write the conditions below.
  • Select e-check class using queryselector and add class bgcolor class if the arg.checked value is true, and remove this class when the value is false.

index.js

var treeGridObj = new ej.treegrid.TreeGrid({
  checkboxChange(args) {
    if (args.checked) {
      setTimeout(() => {
        const checkedRows = this.element.querySelectorAll('.e-check');
        Array.from(checkedRows).map((row) => {
          row.closest('tr').classList.add('bgcolor');
        });
      }, 0);
    } else {
      setTimeout(() => {
        const coloredRows = this.element.querySelectorAll('.bgcolor');
        Array.from(coloredRows).map((row) => {
          if (row.querySelector('.e-uncheck') || row.querySelector('.e-stop')) {
            row.classList.remove('bgcolor');
          }
        });
      }, 0);
 
    }
  },
  dataSource: window.sampleData,
  childMapping: 'subtasks',
  height: 350,
  allowSelection: true,
  enableCollapseAll: 'true',
  autoCheckHierarchy: 'true',
  selectionSettings: { persistSelection: true },
  treeColumnIndex: 1,
  columns: [
    {
      field: 'taskID',
      headerText: 'Task ID',
      isPrimaryKey: true,
      width: 70,
      textAlign: 'Right',
    },
    {
      field: 'taskName',
      headerText: 'Task Name',
      showCheckbox: 'true',
      width: 200,
      textAlign: 'Left',
    },
    { field: 'priority', headerText: 'Priority', width: 90 },
  ],
});
treeGridObj.appendTo('#TreeGrid');
 

 

index.html

<style>
      .bgcolor td {
        color: aliceblue !important;
        background-color: cadetblue !important;
      }
    </style>
 

 

Result

Table

Description automatically generated

Refer to the example from the following GitHub link: View sample in GitHub

Refer to our documentation and online samples for more features. If you have any queries, please let us know in the comments below. You can also contact us through our Support forum or Support ticket. We are happy to assist you!

Did you find this information helpful?
Yes
No
Help us improve this page
Please provide feedback or comments
Comments (0)
Access denied
Access denied

Articles in this section

How to change background color of row on checkbox column click in Angular TreeGrid?

This article explains how to change background color of row on checkbox column click in Angular TreeGrid component.

The checkboxChange event triggers when the check box state change in checkbox column. You can use this event to change the background color and text color of the row based on e-check e-uncheck / e-stop checkbox states.

To change background color of the row, follow the given steps,

  • Declare the function checkboxChange and write the below conditions.
  • Select e-check class using queryselector and add class bgcolor class if the arg.checked value is true and remove this class when the value is false.

app.component.ts

import { Component, OnInit, ViewChild } from '@angular/core';
import { sampleData } from './jsontreegriddata';
import {TreeGridComponent,  PageService,} from '@syncfusion/ej2-angular-treegrid';
@Component({
  selector: 'app-root',
  templateUrl: 'app.component.html',
  providers: [PageService],
})
export class AppComponent {
  public data: Object[] = [];
  @ViewChild('treegrid')
  public treegrid!: TreeGridComponent;
  ngOnInit(): void {
    this.data = sampleData;
  }
  checkboxChange(args:any) {
    if (args.checked) {
      setTimeout(() => {
        const checkedRows = this.treegrid.element.querySelectorAll('.e-check');
        Array.from(checkedRows).map((row) => {
          row?.closest('tr')?.classList.add('bgcolor');
        });
      }, 0);
    } else {
      setTimeout(() => {
        const coloredRows = this.treegrid.element.querySelectorAll('.bgcolor');
        Array.from(coloredRows).map((row) => {
          if (row.querySelector('.e-uncheck') || row.querySelector('.e-stop')) {
            row.classList.remove('bgcolor');
          }
        });
      }, 0);
    }
  }
}

 

app.module.ts

import { TreeGridAllModule } from '@syncfusion/ej2-angular-treegrid';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';
import { CommonModule } from '@angular/common';
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { AppComponent } from './app.component';
 
@NgModule({ declarations: [ AppComponent ], imports: [ CommonModule, TreeGridAllModule, ReactiveFormsModule, FormsModule,BrowserModule], providers: [], bootstrap: [AppComponent]
})
export class AppModule { }

 

app.component.html

<div class="control-section">
  <ejs-treegrid
    #treegrid
    [dataSource]="data"
    height="350"
    enableCollapseAll="true"
    autoCheckHierarchy="true"
    childMapping="subtasks"
    [treeColumnIndex]="1"
    (checkboxChange)="checkboxChange($event)"
  >
    <e-columns>
      <e-column
        field="taskID"
        headerText="Task ID"
        isPrimaryKey="true"
        width="70"
        textAlign="Right"
      ></e-column>
      <e-column
        field="taskName"
        headerText="Task Name"
        width="200"
        [showCheckbox]="true"
      ></e-column>
    </e-columns>
  </ejs-treegrid>
</div>

 

index.html

<style>
  
      .bgcolor td {
 
        background-color: rgb(207 183 183) !important;
 
        color: white !important;
 
      }
 
    </style>
 

 

Result

Graphical user interface, text, application

Description automatically generated

 

View Sample in GitHub

View Sample in StackBlitz

 

Refer to our documentation and online samples for more features. If you have any queries, please let us know in the comments below. You can also contact us through our Support forum or Support ticket. We are happy to assist you!

Did you find this information helpful?
Yes
No
Help us improve this page
Please provide feedback or comments
Comments (0)
Access denied
Access denied

Articles in this section

How to change background color of row on checkbox column click in Vue TreeGrid?

This article explains how to change the background color of a row when the checkbox column is clicked in the Vue TreeGrid component.

The checkboxChange event triggers when the checkbox state changes in the checkbox column. You can use this event to change the background color and text color of the row based on e-check, e-uncheck, or e-stop checkbox states.

To change background color of the row, follow the given steps,

  • Declare the function checkboxChange and write the below conditions.
  • Select e-check class using queryselector and add class bgcolor class if the arg.checked value is true, and remove this class when the value is false.

App.vue

<script>
import { TreeGridComponent, ColumnsDirective, ColumnDirective, Page } from '@syncfusion/ej2-vue-treegrid';
 
let dataSource = [{
  taskID: 1, taskName: 'Planning', startDate: new Date('02/03/2017'), endDate: new Date('02/07/2017'), progress: 100, duration: 5, priority: 'Normal', approved: false,
  subtasks: [
    { taskID: 2, taskName: 'Plan timeline', startDate: new Date('02/03/2017'), endDate: new Date('02/07/2017'), duration: 5, progress: 100, priority: 'Normal', approved: false },
    { taskID: 3, taskName: 'Plan budget', startDate: new Date('02/03/2017'), endDate: new Date('02/07/2017'), duration: 5, progress: 100, approved: true },
  ]
},
{
  taskID: 4, taskName: 'Design', startDate: new Date('02/10/2017'), endDate: new Date('02/14/2017'), duration: 3, progress: 86, priority: 'High', approved: false,
  subtasks: [
    { taskID: 5, taskName: 'Software Specification', startDate: new Date('02/10/2017'), endDate: new Date('02/12/2017'), duration: 3, progress: 60, priority: 'Normal', approved: false },
    { taskID: 6, taskName: 'Develop prototype', startDate: new Date('02/10/2017'), endDate: new Date('02/12/2017'), duration: 3, progress: 100, priority: 'Critical', approved: false },
  ]
},
{
  taskID: 7, taskName: 'Implementation Phase', startDate: new Date('02/17/2017'), endDate: new Date('02/27/2017'), priority: 'Normal', approved: false, duration: 11,
  subtasks: [
    {
      taskID: 8, taskName: 'Phase 1', startDate: new Date('02/17/2017'), endDate: new Date('02/27/2017'), priority: 'High', approved: false, duration: 11,
    }]
}];
 
export default {
  name: "App",
  components: {
    'ejs-treegrid': TreeGridComponent,
    "e-columns": ColumnsDirective,
    "e-column": ColumnDirective,
  },
  data() {
    return {
      data: dataSource
    };
  },
  provide: {
    treegrid: [Page]
  },
  methods: {
    checkboxChange(args) {
      if (args.checked) {
        setTimeout(() => {
          const checkedRows = document.querySelectorAll('.e-check');
          Array.from(checkedRows).map((row) => {
            row.closest('tr').classList.add('bgcolor');
          });
        }, 0);
      } else {
        setTimeout(() => {
          const coloredRows = document.querySelectorAll('.bgcolor');
          Array.from(coloredRows).map((row) => {
            if (row.querySelector('.e-uncheck') || row.querySelector('.e-stop')) {
              row.classList.remove('bgcolor');
            }
          });
        }, 0);
      }
    }
  }
};
</script>
<template>
  <ejs-treegrid ref="treegrid" :dataSource='data' :treeColumnIndex='1' childMapping='subtasks'
    :checkboxChange=this.checkboxChange :enableCollapseAll="true" :autoCheckHierarchy="true"
    :pageSettings='pageSettings'>
    <e-columns>
      <e-column field='taskID' headerText='Task ID' textAlign='Right' width=70></e-column>
      <e-column field='taskName' headerText='Task Name' textAlign='Left' showCheckbox='true' width=200></e-column>
      <e-column field='startDate' headerText='Start Date' textAlign='Right' format='yMd' width=90></e-column>
      <e-column field='duration' headerText='Duration' textAlign='Right' width=80></e-column>
    </e-columns>
  </ejs-treegrid>
 
</template>
<style>
.bgcolor td {
  background-color: cadetblue !important;
  color: antiquewhite !important;
}
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-treegrid/styles/material.css";
</style>

 

Result

Table

Description automatically generated

Sample: View Sample in GitHub


Conclusion

We hope you enjoyed learning how to change the background color of a row when the checkbox column is clicked in the Vue TreeGrid component.

You can refer to our Vue Diagram feature tour page to learn about its other groundbreaking feature representations and documentation, and how to quickly get started for configuration specifications. You can also explore our Vue Diagram example to understand how to create and manipulate data.

For current customers, you can check out our components from the License and Downloads page. If you are new to Syncfusion®, you can try our 30-day free trial to check out our other controls.

If you have any queries or require clarifications, please let us know in the comments section below. You can also contact us through our support forumsBoldDesk Support, or feedback portal. We are always happy to assist you!

 

Did you find this information helpful?
Yes
No
Help us improve this page
Please provide feedback or comments
Comments (0)
Access denied
Access denied

Articles in this section

How to change background color of row on checkbox column click in React TreeGrid?

This article explains how to change the background color of a row on a checkbox column click in the React TreeGrid component.

The checkboxChange event triggers when the checkbox state change in the checkbox column. You can use this event to change the background color and text color of the row based on e-check  e-uncheck / e-stop checkbox states.

To change the background color of the row, follow the given steps.

  • Declare the function checkboxChange and write the below conditions.
  • Select e-check class using queryselector and add class bgcolor class if the arg. checked value is true and remove this class when the value is false.

App.js

import {ColumnDirective,ColumnsDirective,Inject,TreeGridComponent,} from '@syncfusion/ej2-react-treegrid';
import { Page } from '@syncfusion/ej2-react-treegrid';
import * as React from 'react';
import './App.css';
import { sampleData } from './datasource';
export default class App extends React.Component {
  checkboxChange(args) {
    if (args.checked) {
      setTimeout(() => {
        const checkedRows = this.element.querySelectorAll('.e-check');
        Array.from(checkedRows).map((row) => {
          row.closest('tr').classList.add('bgcolor');
        });
      }, 0);
    } else {
      setTimeout(() => {
        const coloredRows = this.element.querySelectorAll('.bgcolor');
        Array.from(coloredRows).map((row) => {
          if (row.querySelector('.e-uncheck') || row.querySelector('.e-stop')) {
            row.classList.remove('bgcolor');
          }
        });
      }, 0);
    }
  }
  render() {
    return (
      <TreeGridComponent dataSource={sampleData} treeColumnIndex={1} childMapping="subtasks" enableCollapseAll="true" autoCheckHierarchy="true" checkboxChange={this.checkboxChange}>
        <ColumnsDirective>
          <ColumnDirective field="taskID" headerText="Task ID" width="90" textAlign="Right"/>
          <ColumnDirective field="taskName" showCheckbox="true" headerText="Task Name" width="180"/>
          <ColumnDirective field="startDate" headerText="Start Date" width="90" format="yMd" textAlign="Right" type="date"/>
          <ColumnDirective field="duration" headerText="Duration" width="80" textAlign="Right"/>
        </ColumnsDirective>
        <Inject services={[Page]} />
      </TreeGridComponent>
    );}
}

 

App.css

@import url('https://cdn.syncfusion.com/ej2/20.1.55/material.css');
h1,
p {
  font-family: Lato;
}
.bgcolor td {
  background-color: rgb(207 183 183) !important;
  color: white !important;
}
 

Result:

Graphical user interface, text, application

Description automatically generated


 

View Sample in GitHub

 

Refer to our documentation and online samples for more features. If you have any queries, please let us know in the comments below. You can also contact us through our Support forum or Support ticket. We are happy to assist you!

Conclusion


We hope you enjoyed learning about h
ow to change background color of row on checkbox column click in the React TreeGrid.

You can refer to our React TreeGrid feature tour page to know about its other groundbreaking feature representations and documentation, and how to quickly get started for configuration specifications. You can also explore our React TreeGrid example to understand how to create and manipulate data.

For current customers, you can check out our Document Processing Libraries from the License and Downloads page. If you are new to Syncfusion, you can try our 30-day free trial to check out our controls.

If you have any queries or require clarifications, please let us know in the comments section below. You can also contact us through our support forumsBoldDesk Support, or feedback portal. We are always happy to assist you!

Did you find this information helpful?
Yes
No
Help us improve this page
Please provide feedback or comments
Comments (0)
Access denied
Access denied